daemon daemon/automount/* {
	need = system/bootmisc;
	use = system/modules/autofs4;
	env TIMEOUT=30;
	env_file = /etc/conf.d/automount;
	env MOUNTPOINT=/mnt/${NAME};
	env PIDFILE=/var/run/autofs.${NAME}.pid;
	env CONFFILE=/etc/autofs/auto.${NAME};
	exec daemon = /usr/sbin/automount --timeout ${TIMEOUT} --pid-file ${PIDFILE} ${MOUNTPOINT} file ${CONFFILE};
	pid_file = ${PIDFILE};
}
