service daemon/vmware/vmnet/prepare {
	need = system/bootmisc;
	script start = {
		/sbin/modprobe vmmon || exit 1
		/sbin/modprobe vmnet || exit 1

		/bin/mknod -m 600 /dev/vmnet0 c 119 0
		/bin/mknod -m 600 /dev/vmnet1 c 119 1
		/bin/mknod -m 600 /dev/vmnet2 c 119 2
		/bin/mknod -m 600 /dev/vmnet3 c 119 3
	};
}

daemon daemon/vmware/vmnet {
	need = system/bootmisc;
	exec daemon = /opt/vmware/bin/vmnet-bridge /dev/vmnet0 eth0;
}

daemon daemon/vmware {
	need = system/bootmisc daemon/vmware/vmnet;
	also_stop = daemon/vmware/vmnet;
}
