container system/coldplug/class {
	need = system/initial;
	use = system/modules/depmod system/modules;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/pci : system/coldplug/class {
}

service system/coldplug/usb : system/coldplug/class {
	need = system/coldplug/pci;
}

service system/coldplug/scsi : system/coldplug/class {
	need = system/coldplug/pci;
}

service system/coldplug/input : system/coldplug/class {
	need = system/coldplug/pci;
	use = system/coldplug/isapnp;
}

service system/coldplug/ide : system/coldplug/class {
	need = system/coldplug/pci;
}

service system/coldplug/isapnp : system/coldplug/class {
}
	
virtual system/coldplug {
	need = system/bootmisc system/coldplug/pci system/coldplug/usb system/coldplug/isapnp system/coldplug/input system/coldplug/ide system/coldplug/scsi;
	also_stop = system/bootmisc system/coldplug/pci system/coldplug/usb system/coldplug/isapnp system/coldplug/input system/coldplug/ide system/coldplug/scsi;
	use = system/modules/depmod system/modules;
}
