
# ng-update add Adding samba, adds both "daemon/samba/smbd" and "daemon/samba/nmbd" as a virtual "daemon/samba".
daemon daemon/samba/smbd {
	need = system/bootmisc;
	require_network;
	respawn;
	exec daemon = /usr/sbin/smbd -F;
}

daemon daemon/samba/nmbd {
	need = system/bootmisc;
	require_network;
	respawn;
	exec daemon = /usr/sbin/nmbd -F;
}

virtual daemon/samba {
	also_stop = daemon/samba/smbd daemon/samba/nmbd;
	need = daemon/samba/smbd daemon/samba/nmbd;
}
