service daemon/syslogd/prepare {
	need = system/bootmisc;
	script start = {
		if [ ! -e /dev/xconsole ]
		then
			mknod -m 640 /dev/xconsole p
		else
			chmod 0640 /dev/xconsole
		fi
		chown root:root /dev/xconsole	    
	};
}

daemon daemon/syslogd {
	need = system/bootmisc daemon/syslogd/prepare;
	exec daemon = /sbin/syslogd -n -m 0;
}
