daemon daemon/915resolution {
	# really only mountfs?
	need = system/mountfs;
	env PROG = /usr/sbin/915resolution;
	env_file = /etc/default/915resolution;
	script start = {
		[ -x "${PROG}" ] || exit 1

		if ! [ "${MODE}" -a "${XRESO}" -a "${YRESO}" ]
		then
		   echo "*** Your 915resolution hasn't been configured! ***"
		   echo "Please read /usr/share/doc/915resolution/README.Debian and define"
		   echo "MODE, XRESO, and YRESO."
		   exit 0
		fi

		exec ${PROG} ${MODE} ${XRESO} ${YRESO} ${BIT}
	};
}
