service system/issue {
	need = system/initial system/mountroot;
	script start = {
		distro="debian"
		arch=`/bin/uname -m`
		a="a"
		case "${arch}" in
			_a*) a="an" ;;
			_i*) a="an" ;;
		esac
		NUMPROC=`/bin/egrep -c "^cpu[0-9]+" /proc/stat`
		if [ "${NUMPROC}" -gt "1" ]
		then
			SMP="${NUMPROC}-processor "
			[ "${NUMPROC}" = "2" ] && SMP="Dual-processor "
			if [ "${NUMPROC}" = "8" -o "${NUMPROC}" = "11" ]
			then
				a="an"
			else
				a="a"
			fi
		fi
		echo ${distro} >/etc/issue
		echo "Kernel `/bin/uname -r`on ${a} ${SMP}`/bin/uname -m` (\l)" >>/etc/issue
		echo "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund@gmail.com>" >>/etc/issue
		
		echo ${distro} >/etc/issue.net
		echo "Kernel `/bin/uname -r` on ${a} ${SMP}`/bin/uname -m`" >>/etc/issue.net
		echo "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund@gmail.com>" >>/etc/issue.net
	};
}
