service system/numlock {
	need = system/initial system/mountfs;
	script start = {
		if [ -d /dev/vc ]
		then
			dev=/dev/vc/
		else
			dev=/dev/tty
		fi
		for tty in `/usr/bin/seq 1 12`
		do
			/usr/bin/setleds -D +num <${dev}${tty} >/dev/null 2>&1
		done
	};
	script stop = {
		if [ -d /dev/vc ]
		then
			dev=/dev/vc/
		else
			dev=/dev/tty
		fi
		for tty in `/usr/bin/seq 1 12` 
		do
			/usr/bin/setleds -D -num <${dev}${tty} >/dev/null 2>&1
		done
	};
}
